Subject: chance of a lifetime

From: "Alice" <[email-masked]>
Date: Wed, 26 Apr 2006 17:26:59 +0600

Hi,
Hope I am not writing to wrong address. I am nice, pretty looking
gibrla. I am planning on visiting your town this month. Can 
we meet each other in person? Message me back at [email-masked]